### Method

# Soup ServerMessage set_status

#### Declaration [src]

    void
    soup_server_message_set_status (
      SoupServerMessage* msg,
      guint status_code,
      const char* reason_phrase
    )

#### Description [src]

Sets `msg`‘s status code to `status_code`.

If `status_code` is a known value and `reason_phrase` is `NULL`, the reason_phrase will be set automatically.

#### Parameters

`status_code` | `guint`
| An HTTP status code.
`reason_phrase` | `const char*`
| A reason phrase.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.